﻿'Programmer: Seth McNamee
'Project: CPT212 Lab 7
'Purpose: Design an application that works as a shopping cart system. this module initializes the global variable finds the price of the selected book.
'         Calculate the subtotal, Sales tax, Shipping, and Total as seperate functions that can be called to update the Shopping Cart Form.

Option Strict On
Option Explicit On
Module GetInfo
    'initialize global variables
    Public g_decTotalCost As Decimal = 0.0D
    Public g_strSelectedBookName As String = ""
    Public g_decSelectedBookPrice As Decimal = 0.0D
    Public g_intCounter As Integer = 0

    Public Function GetSelectedBookPrice(ByVal strBook As String) As Decimal
        'finds the books name and returns it's price
        Dim decBookPrice As Decimal = 0.0D

        If strBook = "I Did It Your Way (Print)" Then
            decBookPrice = 11.95D
        ElseIf strBook = "The History of Scotland (Print)" Then
            decBookPrice = 14.5D
        ElseIf strBook = "Learn Calculus in One Day (Print)" Then
            decBookPrice = 29.95D
        ElseIf strBook = "Feel the Stress (Print)" Then
            decBookPrice = 18.5D
        ElseIf strBook = "Learn Calculus in One Day (Audio)" Then
            decBookPrice = 29.95D
        ElseIf strBook = "The History of Scotland (Audio)" Then
            decBookPrice = 14.5D
        ElseIf strBook = "The Science of Body Language (Audio)" Then
            decBookPrice = 12.95D
        ElseIf strBook = "Relaxation Techniques (Audio)" Then
            decBookPrice = 11.5D
        End If

        Return decBookPrice
    End Function
    Public Function calcSubTotal() As Decimal
        'returns the SubTotal
        Return g_decTotalCost
    End Function


    Public Function calcSalesTax() As Decimal
        'returns the Sales Tax Amount
        Dim decSalesTax As Decimal = 0.0D

        If calcSubTotal() > 0 Then
            decSalesTax = calcSubTotal() * 0.06D

        End If

        Return decSalesTax

    End Function
    Public Function calcShipping() As Decimal
        'Returns the Shipping
        Const dec_SHIPPING As Decimal = 2D
        Dim decFindShipping As Decimal = 0.0D

        If g_intCounter > 0 Then
            decFindShipping = CDec(g_intCounter) * dec_SHIPPING
        Else
            decFindShipping = 0.0D
        End If

        Return decFindShipping

    End Function
    Public Function calcTotal() As Decimal
        'Returns the total
        Dim decTotal As Decimal = 0.0D

        decTotal = calcSubTotal() + calcSalesTax() + calcShipping()

        Return decTotal
    End Function
End Module
